package com.ruoyi.system.model.voucher;


import java.util.Date;

/**
 * @author root
 * @description 辅助核算项
 * @Date 2024-01-17 11:23:47
 **/
public class VoucherAuxiliary {
    public static final String ENTITY_NAME = "pzcx.pzcx.voucherAuxiliary";
    public static final String AUXILIARYCODE = "auxiliaryCode";
    public static final String AUXILIARYNAME = "auxiliaryName";
    public static final String AUXILIARYSRCCODE = "auxiliarySrcCode";
    public static final String AUXILIARYSRCNAME = "auxiliarySrcName";
    public static final String VOUCHERID = "voucherId";
    public static final String VOUCHERBODY_ID = "voucherBody_id";
    public static final String CREATETIME = "createTime";
    public static final String MODIFYTIME = "modifyTime";
    public static final String CREATOR = "creator";
    public static final String MODIFIER = "modifier";
    public static final String YTENANTID = "ytenantId";
    public static final String ID = "id";
    public static final String PUBTS = "pubts";
    public static final String SOURCEGRANDID = "sourceGrandId";
    public static final String FIRSTID = "firstId";
    public static final String FIRSTCHILDID = "firstChildId";
    public static final String FIRSTBUSIOBJ = "firstBusiObj";
    public static final String FIRSTCODE = "firstCode";
    public static final String BIZFLOWID = "bizflowId";
    public static final String BIZFLOWNAME = "bizflowName";
    public static final String SOURCEID = "sourceId";
    public static final String SOURCECHILDID = "sourceChildId";
    public static final String BIZFLOWINSTANCEID = "bizFlowInstanceId";
    public static final String SOURCEBUSIOBJ = "sourceBusiObj";
    public static final String SOURCECODE = "sourceCode";
    public static final String BIZFLOWMAKEBILLCODE = "bizFlowMakeBillCode";
    public static final String DR = "dr";

    /* 编码,uri:pzcx.pzcx.voucherAuxiliary.auxiliaryCode */
    private String auxiliaryCode;
    /* 名称,uri:pzcx.pzcx.voucherAuxiliary.auxiliaryName */
    private String auxiliaryName;
    /* 辅助核算项来源档案取值code,uri:pzcx.pzcx.voucherAuxiliary.auxiliarySrcCode */
    private String auxiliarySrcCode;
    /* 辅助核算项来源档案取值名称,uri:pzcx.pzcx.voucherAuxiliary.auxiliarySrcName */
    private String auxiliarySrcName;
    /* 凭证id,uri:pzcx.pzcx.voucherAuxiliary.voucherId */
    private String voucherId;
    /* 凭证分录信息,uri:pzcx.pzcx.voucherAuxiliary.voucherBody_id */
    private String voucherBody_id;
    /* 创建时间,uri:iuap.busiObj.IAuditInfo.createTime */
    private Date createTime;
    /* 修改时间,uri:iuap.busiObj.IAuditInfo.modifyTime */
    private Date modifyTime;
    /* 创建人,uri:iuap.busiObj.IAuditInfo.creator */
    private String creator;
    /* 修改人,uri:iuap.busiObj.IAuditInfo.modifier */
    private String modifier;
    /* 租户id,uri:iuap.busiObj.IYTenant.ytenantId */
    private String ytenantId;
    /* id,uri:iuap.busiObj.BizObject.id */
    private String id;
    /* pubts,uri:iuap.busiObj.BizObject.pubts */
    private Date pubts;
    /* 来源孙表id,uri:iuap.busiObj.BusinessFlowSourcesItf.sourceGrandId */
    private String sourceGrandId;
    /* 来源单据主表id,uri:iuap.busiObj.BusinessFlowSourcesItf.firstId */
    private String firstId;
    /* 来源单据子表id,uri:iuap.busiObj.BusinessFlowSourcesItf.firstChildId */
    private String firstChildId;
    /* 来源业务对象,uri:iuap.busiObj.BusinessFlowSourcesItf.firstBusiObj */
    private String firstBusiObj;
    /* 来源单据号,uri:iuap.busiObj.BusinessFlowSourcesItf.firstCode */
    private String firstCode;
    /* 业务流id,uri:iuap.busiObj.BusinessFlowItf.bizflowId */
    private String bizflowId;
    /* 流程名称,uri:iuap.busiObj.BusinessFlowItf.bizflowName */
    private String bizflowName;
    /* 上游单据主表id,uri:iuap.busiObj.BusinessFlowItf.sourceId */
    private String sourceId;
    /* 上游单据子表id,uri:iuap.busiObj.BusinessFlowItf.sourceChildId */
    private String sourceChildId;
    /* 业务流实例id,uri:iuap.busiObj.BusinessFlowItf.bizFlowInstanceId */
    private String bizFlowInstanceId;
    /* 上游业务对象,uri:iuap.busiObj.BusinessFlowItf.sourceBusiObj */
    private String sourceBusiObj;
    /* 上游单据号,uri:iuap.busiObj.BusinessFlowItf.sourceCode */
    private String sourceCode;
    /* 单据转换规则编码,uri:iuap.busiObj.BusinessFlowItf.bizFlowMakeBillCode */
    private String bizFlowMakeBillCode;
    /* 逻辑删除,uri:iuap.busiObj.LogicDelete.dr */
    private Short dr;

    public void setAuxiliaryCode(String auxiliaryCode) {
        this.auxiliaryCode = auxiliaryCode;
    }

    public void setAuxiliaryName(String auxiliaryName) {
        this.auxiliaryName = auxiliaryName;
    }

    public void setAuxiliarySrcCode(String auxiliarySrcCode) {
        this.auxiliarySrcCode = auxiliarySrcCode;
    }

    public void setAuxiliarySrcName(String auxiliarySrcName) {
        this.auxiliarySrcName = auxiliarySrcName;
    }

    public void setVoucherId(String voucherId) {
        this.voucherId = voucherId;
    }

    public void setVoucherBody_id(String voucherBody_id) {
        this.voucherBody_id = voucherBody_id;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public void setYtenantId(String ytenantId) {
        this.ytenantId = ytenantId;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setPubts(Date pubts) {
        this.pubts = pubts;
    }

    public void setSourceGrandId(String sourceGrandId) {
        this.sourceGrandId = sourceGrandId;
    }

    public void setFirstId(String firstId) {
        this.firstId = firstId;
    }

    public void setFirstChildId(String firstChildId) {
        this.firstChildId = firstChildId;
    }

    public void setFirstBusiObj(String firstBusiObj) {
        this.firstBusiObj = firstBusiObj;
    }

    public void setFirstCode(String firstCode) {
        this.firstCode = firstCode;
    }

    public void setBizflowId(String bizflowId) {
        this.bizflowId = bizflowId;
    }

    public void setBizflowName(String bizflowName) {
        this.bizflowName = bizflowName;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId;
    }

    public void setSourceChildId(String sourceChildId) {
        this.sourceChildId = sourceChildId;
    }

    public void setBizFlowInstanceId(String bizFlowInstanceId) {
        this.bizFlowInstanceId = bizFlowInstanceId;
    }

    public void setSourceBusiObj(String sourceBusiObj) {
        this.sourceBusiObj = sourceBusiObj;
    }

    public void setSourceCode(String sourceCode) {
        this.sourceCode = sourceCode;
    }

    public void setBizFlowMakeBillCode(String bizFlowMakeBillCode) {
        this.bizFlowMakeBillCode = bizFlowMakeBillCode;
    }

    public void setDr(Short dr) {
        this.dr = dr;
    }

    public String getAuxiliaryCode() {
        return auxiliaryCode;
    }

    public String getAuxiliaryName() {
        return auxiliaryName;
    }

    public String getAuxiliarySrcCode() {
        return auxiliarySrcCode;
    }

    public String getAuxiliarySrcName() {
        return auxiliarySrcName;
    }

    public String getVoucherId() {
        return voucherId;
    }

    public String getVoucherBody_id() {
        return voucherBody_id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public String getCreator() {
        return creator;
    }

    public String getModifier() {
        return modifier;
    }

    public String getYtenantId() {
        return ytenantId;
    }

    public String getId() {
        return id;
    }

    public Date getPubts() {
        return pubts;
    }

    public String getSourceGrandId() {
        return sourceGrandId;
    }

    public String getFirstId() {
        return firstId;
    }

    public String getFirstChildId() {
        return firstChildId;
    }

    public String getFirstBusiObj() {
        return firstBusiObj;
    }

    public String getFirstCode() {
        return firstCode;
    }

    public String getBizflowId() {
        return bizflowId;
    }

    public String getBizflowName() {
        return bizflowName;
    }

    public String getSourceId() {
        return sourceId;
    }

    public String getSourceChildId() {
        return sourceChildId;
    }

    public String getBizFlowInstanceId() {
        return bizFlowInstanceId;
    }

    public String getSourceBusiObj() {
        return sourceBusiObj;
    }

    public String getSourceCode() {
        return sourceCode;
    }

    public String getBizFlowMakeBillCode() {
        return bizFlowMakeBillCode;
    }

    public Short getDr() {
        return dr;
    }

}
